=== debian/changelog ===
node-json-schema-merge-allof (0.8.1+~cs9.16.23-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Fri, 12 May 2023 08:22:29 +0400

node-json-schema-merge-allof (0.8.1+~cs9.16.23-1) unstable; urgency=medium

  * Initial release (Closes: #1034876)

 -- Yadd <yadd@debian.org>  Wed, 26 Apr 2023 17:39:48 +0400
