=== debian/control ===
Source: node-json-schema-merge-allof
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-ajv <!nocheck>
 , node-lodash <!nocheck>
 , node-sinon <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/js-team/node-json-schema-merge-allof
Vcs-Git: https://salsa.debian.org/js-team/node-json-schema-merge-allof.git
Homepage: https://github.com/mokkabonna/json-schema-merge-allof
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-json-schema-merge-allof
Architecture: all
Depends: ${misc:Depends}
 , node-lodash (>= 4.17.20)
Provides: ${nodejs:Provides}
Description: Node.js module to merge schemas combined using allOf
 node-json-schema-merge-allof merge schemas combined using allOf into a more
 readable composed schema free from allOf. Features:
 - Real and safe merging of schemas combined with allOf
 - Takes away all allOf found in the whole schema
 - Lossless in terms of validation rules, merged schema does not validate
   more or less than the original schema
 - Results in a more readable root schema
 - Removes almost all logical impossibilities
 - Throws if no logical intersection is found (your schema would not
   validate anything from the start)
 - Validates in a way not possible by regular simple meta validators
 - Correctly considers additionalProperties, patternProperties and properties
   as a part of an whole when merging schemas containing those
 - Correctly considers items and additionalItems as a whole when merging
   schemas containing those
 - Supports merging schemas with items as array and direct schema
 - Supports merging dependencies when mixed array and schema
 - Supports all JSON schema core/validation keywords (v6, use custom
   resolvers to support other keywords)
 - Option to override common impossibility like adding properties when using
   "additionalProperties: false"
 - Pluggable keyword resolvers
 It provides also json-schema-compare to compare JSON schemas correctly.
