=== debian/watch ===
version=4
opts=\
searchmode=plain,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
pgpmode=none \
 https://registry.npmjs.org/json-schema-merge-allof \
 https://registry.npmjs.org/json-schema-merge-allof/-/json-schema-merge-allof-(\d[\d\.]*)@ARCHIVE_EXT@ group

opts=\
component=compute-lcm,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-lcm-$1/ \
 https://github.com/compute-io/lcm/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=compute-gcd,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-gcd-$1/ \
 https://github.com/compute-io/gcd/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=json-schema-compare,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-json-schema-compare-$1/ \
 https://registry.npmjs.org/json-schema-compare https://registry.npmjs.org/json-schema-compare/-/json-schema-compare-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=validate-io-array,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-array-$1/ \
 https://github.com/validate-io/array/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=validate-io-function,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-validate-io-function-$1/ \
 https://registry.npmjs.org/validate.io-function https://registry.npmjs.org/validate.io-function/-/validate.io-function-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=validate-io-integer-array,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-integer-array-$1/ \
 https://github.com/validate-io/integer-array/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=validate-io-integer,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-integer-$1/ \
 https://github.com/validate-io/integer/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
searchmode=plain,\
component=validate-io-number,\
ctype=nodejs,pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-validate-io-number-$1/ \
 https://registry.npmjs.org/validate.io-number https://registry.npmjs.org/validate.io-number/-/validate.io-number-([\d\.]+)@ARCHIVE_EXT@ checksum

# TYPESCRIPT DECLARATIONS
opts="searchmode=plain,component=types-json-schema-merge-allof,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-json-schema-merge-allof-$1/" \
 https://registry.npmjs.org/@types/json-schema-merge-allof https://registry.npmjs.org/@types/json-schema-merge-allof/-/json-schema-merge-allof-([\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,component=types-compute-gcd,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-compute-gcd-$1/" \
